org.eclipse.viatra.query.runtime.rete.network

## Interface Receiver

- All Superinterfaces:
    Node
  All Known Subinterfaces:
    MonotonicityAwareReceiver, Production, Tunnel
  All Known Implementing Classes:
    AbstractEvaluatorNode, Bag, CachedFunctionEvaluatorNode, CachedPredicateEvaluatorNode, CallbackNode, ColumnAggregatorNode, DefaultDeltaMonitor, DefaultProductionNode, DeltaMonitor, DiscriminatorBucketNode, DiscriminatorDispatcherNode, EqualityFilterNode, ExternalInputEnumeratorNode, ExternalInputStatelessFilterNode, FilterNode, GenericProjectionIndexer, IndexerWithMemory, InequalityFilterNode, MemorylessEvaluatorNode, OnetimeIndexer, OutputCachingEvaluatorNode, RemoteReceiver, RemoteSupplier, RetePatternMatcher, SimpleReceiver, SingleInputNode, TransformerNode, TransitiveClosureNode, TransparentNode, TrimmerNode, UniquenessEnforcerNode, ValueBinderFilterNode

      public interface Receiver
      extends Node

  ALL METHODS: FOR INTERNAL USE ONLY; ONLY INVOKE FROM `ReteContainer`
  No Implement:
    This interface is not intended to be implemented by external clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendParent(Supplier supplier)` appends a parent that will continously send insert and revoke updates to this supplier
    `Mailbox` | `getMailbox()` Returns the `Mailbox` of this receiver.
    `java.util.Collection<Supplier>` | `getParents()` access active parent
    `void` | `removeParent(Supplier supplier)` removes a parent
    `void` | `update(Direction direction, Tuple updateElement)` updates the receiver with a newly found or lost partial matching

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Method Detail

    - #### update

          void update(Direction direction,
                      Tuple updateElement)

      updates the receiver with a newly found or lost partial matching

    - #### getMailbox

          Mailbox getMailbox()

      Returns the `Mailbox` of this receiver.
      Returns:
        the mailbox
      Since:
        1.6

    - #### appendParent

          void appendParent(Supplier supplier)

      appends a parent that will continously send insert and revoke updates to this supplier

    - #### removeParent

          void removeParent(Supplier supplier)

      removes a parent

    - #### getParents

          java.util.Collection<Supplier> getParents()

      access active parent